# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.VehicleData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.VehicleData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.VehicleData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# VehicleData 

###
Companion class VehicleData

#### object VehicleData extends Marshallable[VehicleData] with Serializable

Source
  VehicleData.scala

Linear Supertypes
Serializable, Marshallable[VehicleData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CumulativeSeatedPlayerNamePadding(base: Long, next: Option[StreamBitSize]): Int

   Increment the distance to the next mounted player's `name` field with the length of the previous entry, then calculate the new padding value for that next entry's `name` field.

   Increment the distance to the next mounted player's `name` field with the length of the previous entry, then calculate the new padding value for that next entry's `name` field.

   base

     the original distance to the last entry

   next

     the length of the last entry, if one was parsed

   returns

     the padding value, 0-7 bits

5.  def InitialStreamLengthToSeatEntries(hasVelocity: Boolean, format: Type): Long

   Distance from the length field of a vehicle creation packet up until the start of the vehicle's inventory data.

   Distance from the length field of a vehicle creation packet up until the start of the vehicle's inventory data. The only field excluded belongs to the original opcode for the packet. The parameters outline reasons why the length of the stream would be different and are used to determine the exact difference value.
   Note:
   198 includes the `ObjectCreateMessage` packet fields, without parent data, the `VehicleData` fields, and the first three fields of the `InternalSlot`.

   hasVelocity

     the presence of a velocity field - `vel` - in the `PlacementData` object for this vehicle

   format

     the `Codec` subtype for this vehicle

   returns

     the length of the bitstream

   See also

     `ObjectCreateMessage`

6.  def PlayerData(basic_appearance: (Int) => CharacterAppearanceData, character_data: (Boolean, Boolean) => CharacterData, drawn_slot: Type, accumulative: Long): PlayerData

   Constructor for `PlayerData` that ignores the coordinate information and the inventory and performs a vehicle-unique calculation of the padding value.

   Constructor for `PlayerData` that ignores the coordinate information and the inventory and performs a vehicle-unique calculation of the padding value. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are mounted.

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   drawn_slot

     the holster that is initially drawn

   accumulative

     the input position for the stream up to which this entry; used to calculate the padding value for the player's name in `CharacterAppearanceData`

   returns

     a `PlayerData` object

7.  def PlayerData(basic_appearance: (Int) => CharacterAppearanceData, character_data: (Boolean, Boolean) => CharacterData, inventory: InventoryData, drawn_slot: Type, accumulative: Long): PlayerData

   Constructor that ignores the coordinate information and performs a vehicle-unique calculation of the padding value.

   Constructor that ignores the coordinate information and performs a vehicle-unique calculation of the padding value. It passes information between the three major divisions for the purposes of offset calculations. This constructor should be used for players that are mounted.

   basic_appearance

     a curried function for the common fields regarding the the character's appearance

   character_data

     a curried function for the class-specific data that explains about the character

   inventory

     the player's inventory

   drawn_slot

     the holster that is initially drawn

   accumulative

     the input position for the stream up to which this entry; used to calculate the padding value for the player's name in `CharacterAppearanceData`

   returns

     a `PlayerData` object

8.  def apply(pos: PlacementData, basic: CommonFieldData, health: Int, driveState: types.DriveState.Value, cloak: Boolean, format: VariantVehicleData, inventory: Option[InventoryData]): VehicleData

   Overloaded constructor for specifically handling `Variant` vehicle format.

   Overloaded constructor for specifically handling `Variant` vehicle format.

   basic

     a field that encompasses some data used by the vehicle, including `faction` and `owner`

   health

     the amount of health the vehicle has, as a percentage of a filled bar (255)

   driveState

     a representation for the current mobility state

   cloak

     if a vehicle (that can cloak) is cloaked

   inventory

     the seats, mounted weapons, and utilities (such as terminals) that are currently included

9.  def apply(pos: PlacementData, basic: CommonFieldData, health: Int, driveState: types.DriveState.Value, cloak: Boolean, format: UtilityVehicleData, inventory: Option[InventoryData]): VehicleData

   Overloaded constructor for specifically handling `Utility` vehicle format.

   Overloaded constructor for specifically handling `Utility` vehicle format.

   basic

     a field that encompasses some data used by the vehicle, including `faction` and `owner`

   health

     the amount of health the vehicle has, as a percentage of a filled bar (255)

   driveState

     a representation for the current mobility state

   cloak

     if a vehicle (that can cloak) is cloaked

   inventory

     the seats, mounted weapons, and utilities (such as terminals) that are currently included

10.  def apply(pos: PlacementData, basic: CommonFieldData, health: Int, driveState: types.DriveState.Value, cloak: Boolean, inventory: Option[InventoryData]): VehicleData

    Overloaded constructor for specifically handling `Normal` vehicle format.

    Overloaded constructor for specifically handling `Normal` vehicle format.

    basic

      a field that encompasses some data used by the vehicle, including `faction` and `owner`

    health

      the amount of health the vehicle has, as a percentage of a filled bar (255)

    driveState

      a representation for the current mobility state

    cloak

      if a vehicle (that can cloak) is cloaked

    inventory

      the seats, mounted weapons, and utilities (such as terminals) that are currently included

11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def codec(vehicle_type: VehicleFormat.Value): Codec[VehicleData]
14.  implicit val codec: Codec[VehicleData]
    Definition Classes
      VehicleData → Marshallable
15.  def decode(a: BitVector): Attempt[DecodeResult[VehicleData]]
    Definition Classes
      Marshallable
16.  def encode(a: VehicleData): Attempt[BitVector]
    Definition Classes
      Marshallable
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[VehicleData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped